# $Revision: 1.18 $, $Date: 2003/05/26 16:25:01 $
Summary:	A program for drawing two-dimensional mathematical functions
Summary(pl):	Program do rysowania dwuwymiarowych wykresw funkcji matematycznych
Name:		geg
Version:	1.0.2
Release:	3
License:	GPL
Group:		Applications/Engineering
Source0:	http://www.infolaunch.com/~daveb/%{name}-%{version}.tar.gz
# Source0-md5:	0c3c15874eb10a0463dc12e680b38081
Patch0:		%{name}-etc_dir.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
URL:		http://www.infolaunch.com/~daveb/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
Geg (GTK+ Equation Grapher)is a simple program which will draw
two-dimensional mathematical functions (e.g., f(x) = 3 + sin(x/2)).
Geg allows you view multiple functions simultaneously, with each
function drawn in a different color. Functions can be selectively
erased. Geg's view can be zoomed in and out on selected regions.

%description -l pl
Geg (GTK+ Equation Grapher) jest prostym programem rysujcym wykresy
funkcji matematycznych (np. f(x) = 3 + sin(x/2)). Geg pozwala ci na
ogldanie wielu wykresw rwnoczenie, przy czym kada funkcja jest
rysowana innym kolorem. Funkcje mog by selektywnie usuwane. Widok
okreslonych regionw moe by powikszany i zmniejszany.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: geg.spec,v $
Revision 1.18  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:47:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/07 12:22:03  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.15  2003/03/29 18:42:47  juandon
- added home_etc.patch
- Release 3

Revision 1.14  2003/01/18 22:48:34  juandon
- removed two lines with define

Revision 1.13  2002/11/27 20:15:36  juandon
- new %%doc

Revision 1.12  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/25 16:21:50  arturs
fixed a small typo

Revision 1.9  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/23 02:17:43  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/14 03:32:41  kloczek
- release 2: regenerate ac/am files.

Revision 1.4  2001/11/14 11:44:52  filon
- changed to %%%configure2_13, to make it build

Revision 1.3  2001/07/21 13:33:36  migo
- added pl summary and/or description

Revision 1.2  2000/10/25 07:11:16  kloczek
- completly rewrited in PLD style.

Based on RH spec version.
